'use strict';

var Content = require('./Content.js');
var Face = require('./Face.js');
var Root = require('./Root.js');
var Trigger = require('./Trigger.js');
var context = require('./context.js');

const Accordion = {
  Root: Root.AccordionRoot,
  Face: Face.AccordionFace,
  Content: Content.AccordionContent,
  Trigger: Trigger.AccordionTrigger
};

exports.Context = context.Context;
exports.useAccordionContext = context.useAccordionContext;
exports.Accordion = Accordion;
