'use strict';

var React = require('react');
var Table = require('../Table.js');

const CalendarGridHeaderRow = ({
  weekDays
}) => {
  return /* @__PURE__ */ React.createElement("tr", { "data-testid": "calendar-grid-header-row" }, weekDays.map((day, index) => /* @__PURE__ */ React.createElement(Table.THeadCell, { key: index }, day)));
};

exports.CalendarGridHeaderRow = CalendarGridHeaderRow;
