'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Card = React.forwardRef((props, ref) => {
  const { children, className, ...rest } = props;
  return /* @__PURE__ */ React.createElement("div", { className: cortexCore.card({ className }), ref, ...rest }, children);
});

exports.Card = Card;
