'use strict';

var React = require('react');
var reactAria = require('react-aria');
require('../../styles/calendar-cell.js');
require('../../styles/date-picker-input-base.js');
var dateSegment = require('../../styles/date-segment.js');
require('../../styles/groupButton.js');
require('../../styles/progressBar.js');

const { base } = dateSegment.dateSegment();
const DateSegment = ({ segment, state }) => {
  const ref = React.useRef(null);
  const { segmentProps } = reactAria.useDateSegment(segment, state, ref);
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...segmentProps,
      ref,
      className: base({ disabled: state.isDisabled })
    },
    segment.text
  );
};

exports.DateSegment = DateSegment;
