'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Drawer = ({
  children,
  onClose,
  open,
  position = "right",
  className
}) => {
  return /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement(
    "div",
    {
      "data-testid": "overlay",
      className: cortexCore.overlay({ show: open }),
      onClick: onClose
    }
  ), /* @__PURE__ */ React.createElement(
    "div",
    {
      "data-testid": "drawer",
      className: cortexCore.drawer({
        position,
        open,
        className
      })
    },
    children
  ));
};

exports.Drawer = Drawer;
