'use strict';

var React = require('react');
var Masonry = require('../Masonry.js');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
var useDimensions = require('../../hooks/useDimensions.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var CategoriesContext = require('../../provider/CategoriesContext.js');

const Categories = ({ children }) => {
  const { width } = useDimensions.useDimensions();
  return /* @__PURE__ */ React.createElement(CategoriesContext.CategoriesProvider, null, /* @__PURE__ */ React.createElement(Masonry, { columns: width <= 640 ? 2 : 4 }, children));
};

module.exports = Categories;
