'use strict';

var React = require('react');
var io5 = require('react-icons/io5');
var menubar = require('../../styles/menubar.js');

const { icon } = menubar.item();
const IconControlSubItem = ({ show, setShow }) => {
  const handleClick = (e) => {
    e.stopPropagation();
    setShow(!show);
  };
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      onClick: handleClick,
      "data-testid": "icon-sub-item-menubar",
      className: "flex"
    },
    show ? /* @__PURE__ */ React.createElement(io5.IoCaretUpCircleOutline, { className: icon() }) : /* @__PURE__ */ React.createElement(io5.IoCaretDownCircleOutline, { className: icon() })
  );
};

module.exports = IconControlSubItem;
