'use strict';

var clsx = require('clsx');
var React = require('react');

const ItemLink = ({ anchorProps, children, ...rest }) => {
  return /* @__PURE__ */ React.createElement("div", { ...rest }, anchorProps ? /* @__PURE__ */ React.createElement(
    "a",
    {
      target: "_blank",
      rel: "noopener noreferrer",
      ...anchorProps,
      className: clsx("w-full", anchorProps?.className)
    },
    children
  ) : children);
};

module.exports = ItemLink;
