'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');

const { left } = menubar.menubar();
const Left = ({ children, ...rest }) => {
  const { className } = rest;
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: left({ className }),
      "data-testid": "header-left-menubar",
      ...rest
    },
    children
  );
};

module.exports = Left;
