'use strict';

var React = require('react');
var MostUsedItem = require('./MostUsedItem.js');

const MostUsedList = ({ mostUsed }) => {
  return /* @__PURE__ */ React.createElement(React.Fragment, null, (mostUsed ?? []).map((item, index) => {
    const { title, category, ...rest } = item;
    if (index > 3)
      return /* @__PURE__ */ React.createElement(React.Fragment, { key: `${title}-${category}` });
    return /* @__PURE__ */ React.createElement(
      MostUsedItem,
      {
        key: `${title}-${category}`,
        title,
        category,
        ...rest
      }
    );
  }));
};

module.exports = MostUsedList;
