'use strict';

var React = require('react');
require('../../styles/calendar-cell.js');
require('../../styles/date-picker-input-base.js');
require('../../styles/date-segment.js');
require('../../styles/groupButton.js');
var progressBar = require('../../styles/progressBar.js');

const { container, bar, progress } = progressBar.ProgressVariants();
const Progress = ({
  value,
  intent = "default",
  infinite
}) => {
  return /* @__PURE__ */ React.createElement("div", { className: container(), "data-testid": "linear-progress" }, /* @__PURE__ */ React.createElement("div", { className: bar() }, /* @__PURE__ */ React.createElement(
    "div",
    {
      style: {
        width: !infinite ? `${value}%` : void 0,
        transition: !infinite ? "width 0.5s ease" : void 0
      },
      "data-testid": "progress-filled",
      className: progress({ intent, infinite })
    }
  )));
};

exports.Progress = Progress;
