'use strict';

var React = require('react');
var index = require('../Popover/index.js');
var react = require('@floating-ui/react');
var context = require('./context.js');

const SelectPopover = ({ children }) => {
  const { triggerWidth } = React.useContext(context.SelectContext);
  return /* @__PURE__ */ React.createElement(react.FloatingPortal, null, /* @__PURE__ */ React.createElement(
    index.Popover.Content,
    {
      className: "bg-white max-h-[30vh] overflow-y-scroll gap-y-mili flex flex-col p-0",
      style: {
        width: triggerWidth ? `${triggerWidth}px` : "auto",
        zIndex: 9999
      }
    },
    children
  ));
};

exports.SelectPopover = SelectPopover;
