'use strict';

var GroupedOptions = require('./GroupedOptions.js');
var MultiCheckAllOptions = require('./MultiCheckAllOptions.js');
var MultiGroupedOptions = require('./MultiGroupedOptions.js');
var MultiOption = require('./MultiOption.js');
var MultiOptions = require('./MultiOptions.js');
var Option = require('./Option.js');
var Options = require('./Options.js');
var Popover = require('./Popover.js');
var Root = require('./Root.js');
var Trigger = require('./Trigger.js');

const Select = {
  Root: Root.SelectRoot,
  Trigger: Trigger.SelectTrigger,
  Popover: Popover.SelectPopover,
  Options: Options.SelectOptions,
  GroupedOptions: GroupedOptions.SelectGroupedOptions,
  Option: Option.SelectOption,
  MultiOptions: MultiOptions.SelectMultiOptions,
  MultiGroupedOptions: MultiGroupedOptions.SelectMultiGroupedOptions,
  MultiOption: MultiOption.SelectMultiOption,
  MultiCheckAllOptions: MultiCheckAllOptions.SelectMultiCheckAllOptions
};

exports.Select = Select;
