'use strict';

var clsx = require('clsx');
var React = require('react');

const Skeleton = ({ className, children, ...rest }) => {
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...rest,
      "data-testid": "skeleton",
      className: clsx("animate-pulse bg-secondary-light", className)
    },
    children
  );
};

exports.Skeleton = Skeleton;
