'use strict';

var React = require('react');
var io = require('react-icons/io');
var BaseSnackbar = require('./BaseSnackbar.js');

const DefaultSnack = ({
  text,
  onDismiss,
  variants
}) => /* @__PURE__ */ React.createElement(BaseSnackbar.BaseSnackbar, { show: true, variants: { intent: variants?.intent } }, /* @__PURE__ */ React.createElement("div", { className: "flex justify-between items-center flex-row gap-x-mili" }, /* @__PURE__ */ React.createElement(
  io.IoMdInformationCircleOutline,
  {
    className: "w-[20px] h-[20px] shrink-0",
    "data-testid": "icon-info"
  }
), /* @__PURE__ */ React.createElement("p", null, text), /* @__PURE__ */ React.createElement(
  io.IoMdClose,
  {
    "data-testid": "icon-close",
    onClick: onDismiss,
    size: 24,
    className: "cursor-pointer w-[20px] h-[20px] shrink-0"
  }
)));

exports.DefaultSnack = DefaultSnack;
