'use strict';

var clsx = require('clsx');
var React = require('react');

const TextAreaLeft = React.forwardRef(({ children, className, ...rest }, ref) => {
  return /* @__PURE__ */ React.createElement("div", { className: clsx(className, "mr-2.5"), ...rest, ref }, children);
});

exports.TextAreaLeft = TextAreaLeft;
