'use strict';

var Box = require('./Box.js');
var Face = require('./Face.js');
var Left = require('./Left.js');
var Right = require('./Right.js');
var Root = require('./Root.js');

const TextArea = {
  Root: Root.TextAreaRoot,
  Face: Face.TextAreaFace,
  Box: Box.TextAreaBox,
  Left: Left.TextAreaLeft,
  Right: Right.TextAreaRight
};

exports.TextArea = TextArea;
