'use strict';

var React = require('react');

const getValidChildren = (children) => {
  return React.Children.toArray(children).filter(
    (el) => React.isValidElement(el)
  );
};

exports.getValidChildren = getValidChildren;
