import { button } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';

const Button = forwardRef((props, ref) => {
  const { variants, intent, variant, size, children, className, ...rest } = props;
  return /* @__PURE__ */ React__default.createElement(
    "button",
    {
      ...rest,
      className: button({ intent, variant, size, ...variants, className }),
      ref
    },
    children
  );
});

export { Button };
