import React__default from 'react';
import { CalendarCell } from './CalendarCell.js';

const CalendarGridBodyRows = ({ state }) => {
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, [...new Array(6).keys()].map((weekIndex) => /* @__PURE__ */ React__default.createElement("tr", { key: weekIndex, className: "shadow-0 px-deca" }, state.getDatesInWeek(weekIndex).map((date, i) => {
    return date ? /* @__PURE__ */ React__default.createElement(CalendarCell, { key: i, state, date }) : /* @__PURE__ */ React__default.createElement("td", { key: i });
  }))));
};

export { CalendarGridBodyRows };
