import React__default from 'react';
import { InputBox } from './Box.js';
import { InputFace } from './Face.js';

const InputRoot = React__default.forwardRef(
  ({ variants, className, ...rest }, ref) => {
    return /* @__PURE__ */ React__default.createElement(InputFace, { variants, className }, /* @__PURE__ */ React__default.createElement(InputBox, { ...rest, ref }));
  }
);

export { InputRoot };
