import clsx from 'clsx';
import React__default from 'react';

const ItemLink = ({ anchorProps, children, ...rest }) => {
  return /* @__PURE__ */ React__default.createElement("div", { ...rest }, anchorProps ? /* @__PURE__ */ React__default.createElement(
    "a",
    {
      target: "_blank",
      rel: "noopener noreferrer",
      ...anchorProps,
      className: clsx("w-full", anchorProps?.className)
    },
    children
  ) : children);
};

export { ItemLink as default };
