import React__default from 'react';
import { menubar } from '../../styles/menubar.js';

const { left } = menubar();
const Left = ({ children, ...rest }) => {
  const { className } = rest;
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: left({ className }),
      "data-testid": "header-left-menubar",
      ...rest
    },
    children
  );
};

export { Left as default };
