import React__default from 'react';
import { Skeleton } from '../Skeleton.js';

const optionSkeletonStyle = "w-full px-deca my-nano h-[30px]";
const SkeletonOptions = () => {
  return /* @__PURE__ */ React__default.createElement("div", { className: "flex flex-col gap-y-nano" }, Array.from(Array(10).keys()).map((value) => /* @__PURE__ */ React__default.createElement(Skeleton, { key: value }, /* @__PURE__ */ React__default.createElement("div", { className: optionSkeletonStyle }))));
};

export { SkeletonOptions };
