import clsx from 'clsx';
import React__default from 'react';

const Skeleton = ({ className, children, ...rest }) => {
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...rest,
      "data-testid": "skeleton",
      className: clsx("animate-pulse bg-secondary-light", className)
    },
    children
  );
};

export { Skeleton };
