import React__default from 'react';
import { IoMdInformationCircleOutline, IoMdClose } from 'react-icons/io';
import { BaseSnackbar } from './BaseSnackbar.js';

const DefaultSnack = ({
  text,
  onDismiss,
  variants
}) => /* @__PURE__ */ React__default.createElement(BaseSnackbar, { show: true, variants: { intent: variants?.intent } }, /* @__PURE__ */ React__default.createElement("div", { className: "flex justify-between items-center flex-row gap-x-mili" }, /* @__PURE__ */ React__default.createElement(
  IoMdInformationCircleOutline,
  {
    className: "w-[20px] h-[20px] shrink-0",
    "data-testid": "icon-info"
  }
), /* @__PURE__ */ React__default.createElement("p", null, text), /* @__PURE__ */ React__default.createElement(
  IoMdClose,
  {
    "data-testid": "icon-close",
    onClick: onDismiss,
    size: 24,
    className: "cursor-pointer w-[20px] h-[20px] shrink-0"
  }
)));

export { DefaultSnack };
