import { ButtonVariants } from '@tecsinapse/cortex-core';
import React from 'react';
export interface ButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    variants?: ButtonVariants;
    intent?: ButtonVariants['intent'];
    variant?: ButtonVariants['variant'];
    size?: ButtonVariants['size'];
    children?: React.ReactNode;
}
export declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.ButtonHTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
