import React from 'react';
import { DateRange } from '../Calendar';
import { InputProps } from '../Input';
interface DatePickerInputBaseProps extends Omit<InputProps, 'value' | 'onChange'> {
    children: React.ReactElement;
    value?: Date | DateRange;
    onClean?: () => void;
    onToggle?: () => void;
    disabled?: boolean;
}
export declare const DatePickerInputBase: ({ children, variants, label, disabled, value, onClean, onToggle, }: DatePickerInputBaseProps) => React.JSX.Element;
export {};
