import React from 'react';
import { FloatingContext, Placement, UseInteractionsReturn } from '@floating-ui/react';
interface ContextProps {
    triggerProps?: any;
    refs?: any;
    isOpen?: boolean;
    setIsOpen: React.Dispatch<React.SetStateAction<boolean>>;
    x?: number;
    y?: number;
    strategy?: 'absolute' | 'fixed';
    floatingStyles?: React.CSSProperties;
    placement?: Placement;
    setPlacement?: React.Dispatch<React.SetStateAction<Placement | undefined>>;
    setTrigger?: React.Dispatch<React.SetStateAction<'hover' | 'click'>>;
    getReferenceProps: UseInteractionsReturn['getReferenceProps'];
    getFloatingProps: UseInteractionsReturn['getFloatingProps'];
    context: FloatingContext;
}
export declare const Context: React.Context<ContextProps | undefined>;
export declare const usePopoverContext: () => ContextProps;
export {};
