interface SelectContextProps<T> {
    value?: T | T[];
    keyExtractor: (value: T) => string;
    labelExtractor: (value: T) => string;
    triggerWidth?: number;
    setTriggerWidth?: (width: number) => void;
}
export declare const SelectContext: import("react").Context<SelectContextProps<any>>;
interface SelectMultiOptionsContextProps<T> {
    options?: T[];
    onSelect: (value: T[]) => void;
}
export declare const SelectMultiOptionsContext: import("react").Context<SelectMultiOptionsContextProps<any>>;
export {};
