import { Time } from '@internationalized/date';
import React from 'react';
import { InputPropsBase } from '../Input';
export interface TimeFieldInputProps extends InputPropsBase {
    value?: Time;
    onChange: (value?: Time) => void;
    hourCycle?: 12 | 24;
    granularity?: 'hour' | 'minute' | 'second';
    disabled?: boolean;
}
export declare const TimeFieldInput: (props: TimeFieldInputProps) => React.JSX.Element;
