import { CalendarDate } from '@internationalized/date';
import { CalendarState, RangeCalendarState } from 'react-stately';
interface useCalendarCellProps {
    state: CalendarState | RangeCalendarState;
    date: CalendarDate;
}
export declare const useCalendarCell: ({ state, date }: useCalendarCellProps) => {
    ref: import("react").MutableRefObject<null>;
    cellProps: import("@react-types/shared").DOMAttributes<import("@react-types/shared").FocusableElement>;
    buttonProps: import("@react-types/shared").DOMAttributes<import("@react-types/shared").FocusableElement>;
    isSelected: boolean;
    isOutsideVisibleRange: boolean;
    formattedDate: string;
    isSelectionStart: boolean | undefined;
    isSelectionEnd: boolean | undefined;
    inRange: boolean;
};
export {};
