import React, { ReactNode } from 'react';
interface ExpandedMenusState {
    [categoryId: string]: string | null;
}
interface CategoriesContextProps {
    expandedMenus: ExpandedMenusState;
    toggleSubmenu: (categoryId: string, submenuId: string) => void;
}
export declare const CategoriesProvider: ({ children }: {
    children: ReactNode;
}) => React.JSX.Element;
export declare const useCategories: () => CategoriesContextProps;
export {};
