import React, { ReactNode } from 'react';
import { SnackbarSonner } from '../service';
import { IExternalToast } from '../service/IExternalToast';
interface SnackbarProviderProps {
    snackbar: SnackbarSonner;
}
export declare const SnackbarProvider: ({ children, options, }: {
    children: ReactNode;
    options?: IExternalToast;
}) => React.JSX.Element;
export declare const useSnackbar: () => SnackbarProviderProps;
export {};
