'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Button = React.forwardRef((props, ref) => {
  const { variants, intent, variant, size, children, className, ...rest } = props;
  return /* @__PURE__ */ React.createElement(
    "button",
    {
      ...rest,
      className: cortexCore.button({ intent, variant, size, ...variants, className }),
      ref
    },
    children
  );
});

exports.Button = Button;
