'use strict';

var React = require('react');
var CalendarCell = require('./CalendarCell.js');

const CalendarGridBodyRows = ({ state }) => {
  return /* @__PURE__ */ React.createElement(React.Fragment, null, [...new Array(6).keys()].map((weekIndex) => /* @__PURE__ */ React.createElement("tr", { key: weekIndex, className: "shadow-0 px-deca" }, state.getDatesInWeek(weekIndex).map((date, i) => {
    return date ? /* @__PURE__ */ React.createElement(CalendarCell.CalendarCell, { key: i, state, date }) : /* @__PURE__ */ React.createElement("td", { key: i });
  }))));
};

exports.CalendarGridBodyRows = CalendarGridBodyRows;
