'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Hint = React.forwardRef((props, ref) => {
  const { children, variants } = props;
  return /* @__PURE__ */ React.createElement("div", { className: cortexCore.hint(variants), ref }, children ?? /* @__PURE__ */ React.createElement(React.Fragment, null));
});

exports.Hint = Hint;
