'use strict';

var clsx = require('clsx');
var React = require('react');

const InputRight = React.forwardRef(
  ({ children, className, ...rest }, ref) => {
    return /* @__PURE__ */ React.createElement("div", { className: clsx(className, "ml-2.5"), ...rest, ref }, children);
  }
);

exports.InputRight = InputRight;
