'use strict';

var React = require('react');
var Box = require('./Box.js');
var Face = require('./Face.js');

const InputRoot = React.forwardRef(
  ({ variants, className, ...rest }, ref) => {
    return /* @__PURE__ */ React.createElement(Face.InputFace, { variants, className }, /* @__PURE__ */ React.createElement(Box.InputBox, { ...rest, ref }));
  }
);

exports.InputRoot = InputRoot;
