'use strict';

var Box = require('./Box.js');
var Face = require('./Face.js');
var Left = require('./Left.js');
var Mask = require('./Mask.js');
var Right = require('./Right.js');
var Root = require('./Root.js');
var Search = require('./Search.js');
require('@internationalized/date');
require('react');

const Input = {
  Root: Root.InputRoot,
  Face: Face.InputFace,
  Box: Box.InputBox,
  Left: Left.InputLeft,
  Right: Right.InputRight,
  Search: Search.InputSearch,
  Mask: Mask.InputMask
};

exports.Input = Input;
