'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');

const Category = ({ title, options, render }) => {
  const { text, hr, container } = menubar.category();
  return /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement("p", { className: text() }, title), /* @__PURE__ */ React.createElement("hr", { className: hr() }), /* @__PURE__ */ React.createElement("div", { className: container() }, options.map((i) => render(i))));
};

module.exports = Category;
