'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');

const { right } = menubar.menubar();
const Right = ({ children, ...rest }) => {
  const { className } = rest;
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: right({ className }),
      "data-testid": "header-right-menubar",
      ...rest
    },
    children
  );
};

module.exports = Right;
