'use strict';

var Root = require('./Root.js');
var Left = require('./Left.js');
var Search = require('./Search.js');
var Right = require('./Right.js');
var Dropdown = require('./Dropdown.js');
var MostUsed = require('./MostUsed.js');
var MostUsedItem = require('./MostUsedItem.js');
var Header = require('./Header.js');
var Category = require('./Category.js');
var Item = require('./Item.js');
var Categories = require('./Categories.js');
var SubItem = require('./SubItem.js');
var DropdownRoot = require('./DropdownRoot.js');

const Menubar = {
  Root,
  Header,
  HeaderLeft: Left,
  Search,
  HeaderRight: Right,
  Dropdown,
  MostUsed,
  MostUsedItem,
  Category,
  Categories,
  Item,
  SubItem,
  DropdownRoot
};

exports.Menubar = Menubar;
