'use strict';

var React = require('react');
var Skeleton = require('../Skeleton.js');

const optionSkeletonStyle = "w-full px-deca my-nano h-[30px]";
const SkeletonOptions = () => {
  return /* @__PURE__ */ React.createElement("div", { className: "flex flex-col gap-y-nano" }, Array.from(Array(10).keys()).map((value) => /* @__PURE__ */ React.createElement(Skeleton.Skeleton, { key: value }, /* @__PURE__ */ React.createElement("div", { className: optionSkeletonStyle }))));
};

exports.SkeletonOptions = SkeletonOptions;
