'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const BaseSnackbar = React.forwardRef(
  (props, ref) => {
    const { children, show, variants } = props;
    return /* @__PURE__ */ React.createElement(React.Fragment, null, show ? /* @__PURE__ */ React.createElement("div", { className: cortexCore.snackbar(variants), ref, "data-testid": "snackbar" }, children) : /* @__PURE__ */ React.createElement(React.Fragment, null));
  }
);

exports.BaseSnackbar = BaseSnackbar;
