'use strict';

var React = require('react');
var Box = require('./Box.js');
var Face = require('./Face.js');

const TextAreaRoot = React.forwardRef(({ variants, className, ...rest }, ref) => {
  return /* @__PURE__ */ React.createElement(Face.TextAreaFace, { variants, className }, /* @__PURE__ */ React.createElement(Box.TextAreaBox, { ref, ...rest }));
});

exports.TextAreaRoot = TextAreaRoot;
