'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Toggle = React.forwardRef((props, ref) => {
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: "flex flex-row items-center gap-x-centi",
      "data-testid": "toggle-div"
    },
    /* @__PURE__ */ React.createElement("label", { className: cortexCore.styleLabelElement() }, /* @__PURE__ */ React.createElement(
      "input",
      {
        type: "checkbox",
        className: cortexCore.styleInputElement(),
        ref,
        "data-testid": "toggle-input",
        ...props
      }
    ), /* @__PURE__ */ React.createElement("div", { className: cortexCore.toggle() }))
  );
});

exports.Toggle = Toggle;
