'use strict';

var React = require('react');
var Modal = require('./Modal.js');
var Dropzone = require('./Dropzone.js');
var Files = require('./Files.js');

const Root = ({
  open,
  onClose,
  files,
  onDelete,
  dropzoneProps,
  selectFileText,
  dropText,
  buttonText,
  uploadProgressText,
  titleModal
}) => {
  return /* @__PURE__ */ React.createElement(Modal.Modal, { onClose, open, title: titleModal }, /* @__PURE__ */ React.createElement("div", { className: "flex flex-1 flex-col w-full gap-deca md:flex-row" }, /* @__PURE__ */ React.createElement(
    Dropzone.Dropzone,
    {
      dropzoneProps,
      selectFileText,
      dropText,
      buttonText
    }
  ), /* @__PURE__ */ React.createElement(
    Files.Files,
    {
      files,
      onDelete,
      uploadProgressText
    }
  )));
};

exports.Root = Root;
