'use strict';

var FileStatus = /* @__PURE__ */ ((FileStatus2) => {
  FileStatus2["SUCCESS"] = "success";
  FileStatus2["ERROR"] = "error";
  FileStatus2["UPLOADING"] = "uploading";
  return FileStatus2;
})(FileStatus || {});
const AcceptSpecificMap = {
  APPLICATION: [
    "application/pdf",
    "application/zip",
    "application/msword",
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
    "application/vnd.ms-excel",
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
    "application/vnd.ms-powerpoint",
    "application/vnd.openxmlformats-officedocument.presentationml.presentation",
    "application/x-rar-compressed",
    "application/x-7z-compressed",
    "application/json",
    "application/xml",
    "application/rtf",
    "application/x-tar",
    "application/x-httpd-php",
    "application/octet-stream"
  ],
  IMAGE: [
    "image/jpeg",
    "image/png",
    "image/gif",
    "image/bmp",
    "image/svg+xml",
    "image/tiff",
    "image/webp",
    "image/x-icon"
  ],
  VIDEO: [
    "video/mp4",
    "video/mpeg",
    "video/quicktime",
    "video/x-msvideo",
    "video/x-ms-wmv",
    "video/webm",
    "video/ogg",
    "video/x-flv"
  ],
  AUDIO: [
    "audio/mpeg",
    "audio/wav",
    "audio/ogg",
    "audio/x-aac",
    "audio/flac",
    "audio/mp4",
    "audio/aac",
    "audio/webm"
  ],
  TEXT: [
    "text/plain",
    "text/csv",
    "text/html",
    "text/css",
    "text/xml",
    "text/javascript",
    "text/markdown"
  ]
};

exports.AcceptSpecificMap = AcceptSpecificMap;
exports.FileStatus = FileStatus;
