import React__default from 'react';
import { AccordionContent } from './Content.js';
import { AccordionFace } from './Face.js';
import { AccordionTrigger } from './Trigger.js';

const AccordionRoot = ({
  children,
  defaultOpen,
  label,
  floating,
  onOpen,
  invertedArrow,
  onClose,
  direction = "horizontal"
}) => {
  return /* @__PURE__ */ React__default.createElement(AccordionFace, { defaultOpen, direction }, /* @__PURE__ */ React__default.createElement(
    AccordionTrigger,
    {
      label,
      floating,
      onOpen,
      onClose,
      invertedArrow,
      direction
    }
  ), /* @__PURE__ */ React__default.createElement(AccordionContent, { direction }, children));
};

export { AccordionRoot };
