import React__default from 'react';
import { THeadCell } from '../Table.js';

const CalendarGridHeaderRow = ({
  weekDays
}) => {
  return /* @__PURE__ */ React__default.createElement("tr", { "data-testid": "calendar-grid-header-row" }, weekDays.map((day, index) => /* @__PURE__ */ React__default.createElement(THeadCell, { key: index }, day)));
};

export { CalendarGridHeaderRow };
