import { card } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';

const Card = forwardRef((props, ref) => {
  const { children, className, ...rest } = props;
  return /* @__PURE__ */ React__default.createElement("div", { className: card({ className }), ref, ...rest }, children);
});

export { Card };
