import { overlay, drawer } from '@tecsinapse/cortex-core';
import React__default from 'react';

const Drawer = ({
  children,
  onClose,
  open,
  position = "right",
  className
}) => {
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(
    "div",
    {
      "data-testid": "overlay",
      className: overlay({ show: open }),
      onClick: onClose
    }
  ), /* @__PURE__ */ React__default.createElement(
    "div",
    {
      "data-testid": "drawer",
      className: drawer({
        position,
        open,
        className
      })
    },
    children
  ));
};

export { Drawer };
