import clsx from 'clsx';
import React__default from 'react';

const InputLeft = React__default.forwardRef(
  ({ children, className, ...rest }, ref) => {
    return /* @__PURE__ */ React__default.createElement("div", { className: clsx(className, "mr-2.5"), ...rest, ref }, children);
  }
);

export { InputLeft };
