import { InputBox } from './Box.js';
import { InputFace } from './Face.js';
import { InputLeft } from './Left.js';
import { InputMask } from './Mask.js';
import { InputRight } from './Right.js';
import { InputRoot } from './Root.js';
import { InputSearch } from './Search.js';
import '@internationalized/date';
import 'react';

const Input = {
  Root: InputRoot,
  Face: InputFace,
  Box: InputBox,
  Left: InputLeft,
  Right: InputRight,
  Search: InputSearch,
  Mask: InputMask
};

export { Input };
