import React__default from 'react';
import Masonry from '../Masonry.js';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import { useDimensions } from '../../hooks/useDimensions.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { CategoriesProvider } from '../../provider/CategoriesContext.js';

const Categories = ({ children }) => {
  const { width } = useDimensions();
  return /* @__PURE__ */ React__default.createElement(CategoriesProvider, null, /* @__PURE__ */ React__default.createElement(Masonry, { columns: width <= 640 ? 2 : 4 }, children));
};

export { Categories as default };
