import React__default from 'react';
import { category } from '../../styles/menubar.js';

const Category = ({ title, options, render }) => {
  const { text, hr, container } = category();
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement("p", { className: text() }, title), /* @__PURE__ */ React__default.createElement("hr", { className: hr() }), /* @__PURE__ */ React__default.createElement("div", { className: container() }, options.map((i) => render(i))));
};

export { Category as default };
