import React__default from 'react';
import { IoCaretUpCircleOutline, IoCaretDownCircleOutline } from 'react-icons/io5';
import { item } from '../../styles/menubar.js';

const { icon } = item();
const IconControlSubItem = ({ show, setShow }) => {
  const handleClick = (e) => {
    e.stopPropagation();
    setShow(!show);
  };
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      onClick: handleClick,
      "data-testid": "icon-sub-item-menubar",
      className: "flex"
    },
    show ? /* @__PURE__ */ React__default.createElement(IoCaretUpCircleOutline, { className: icon() }) : /* @__PURE__ */ React__default.createElement(IoCaretDownCircleOutline, { className: icon() })
  );
};

export { IconControlSubItem as default };
