import React__default, { Fragment } from 'react';
import MostUsedItem from './MostUsedItem.js';

const MostUsedList = ({ mostUsed }) => {
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, (mostUsed ?? []).map((item, index) => {
    const { title, category, ...rest } = item;
    if (index > 3)
      return /* @__PURE__ */ React__default.createElement(Fragment, { key: `${title}-${category}` });
    return /* @__PURE__ */ React__default.createElement(
      MostUsedItem,
      {
        key: `${title}-${category}`,
        title,
        category,
        ...rest
      }
    );
  }));
};

export { MostUsedList as default };
