import React__default from 'react';
import { menubar } from '../../styles/menubar.js';

const { right } = menubar();
const Right = ({ children, ...rest }) => {
  const { className } = rest;
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: right({ className }),
      "data-testid": "header-right-menubar",
      ...rest
    },
    children
  );
};

export { Right as default };
