import { SelectGroupedOptions } from './GroupedOptions.js';
import { SelectMultiCheckAllOptions } from './MultiCheckAllOptions.js';
import { SelectMultiGroupedOptions } from './MultiGroupedOptions.js';
import { SelectMultiOption } from './MultiOption.js';
import { SelectMultiOptions } from './MultiOptions.js';
import { SelectOption } from './Option.js';
import { SelectOptions } from './Options.js';
import { SelectPopover } from './Popover.js';
import { SelectRoot } from './Root.js';
import { SelectTrigger } from './Trigger.js';

const Select = {
  Root: SelectRoot,
  Trigger: SelectTrigger,
  Popover: SelectPopover,
  Options: SelectOptions,
  GroupedOptions: SelectGroupedOptions,
  Option: SelectOption,
  MultiOptions: SelectMultiOptions,
  MultiGroupedOptions: SelectMultiGroupedOptions,
  MultiOption: SelectMultiOption,
  MultiCheckAllOptions: SelectMultiCheckAllOptions
};

export { Select };
