import { snackbar } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';

const BaseSnackbar = forwardRef(
  (props, ref) => {
    const { children, show, variants } = props;
    return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, show ? /* @__PURE__ */ React__default.createElement("div", { className: snackbar(variants), ref, "data-testid": "snackbar" }, children) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null));
  }
);

export { BaseSnackbar };
