import React__default from 'react';
import { TextAreaBox } from './Box.js';
import { TextAreaFace } from './Face.js';

const TextAreaRoot = React__default.forwardRef(({ variants, className, ...rest }, ref) => {
  return /* @__PURE__ */ React__default.createElement(TextAreaFace, { variants, className }, /* @__PURE__ */ React__default.createElement(TextAreaBox, { ref, ...rest }));
});

export { TextAreaRoot };
