import { styleLabelElement, styleInputElement, toggle } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';

const Toggle = forwardRef((props, ref) => {
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: "flex flex-row items-center gap-x-centi",
      "data-testid": "toggle-div"
    },
    /* @__PURE__ */ React__default.createElement("label", { className: styleLabelElement() }, /* @__PURE__ */ React__default.createElement(
      "input",
      {
        type: "checkbox",
        className: styleInputElement(),
        ref,
        "data-testid": "toggle-input",
        ...props
      }
    ), /* @__PURE__ */ React__default.createElement("div", { className: toggle() }))
  );
});

export { Toggle };
