import { BadgeVariants } from '@tecsinapse/cortex-core';
import * as React from 'react';
export interface BadgeProps {
    value: string | number;
    variants?: BadgeVariants;
}
export interface BadgeAnchorProps extends BadgeProps {
    children: React.ReactNode;
}
export declare const Badge: React.ForwardRefExoticComponent<Omit<BadgeProps & Omit<React.HTMLProps<HTMLDivElement>, "className">, "ref"> & React.RefAttributes<HTMLDivElement>>;
export declare const BadgeAnchor: React.ForwardRefExoticComponent<Omit<BadgeAnchorProps & Omit<React.HTMLProps<HTMLDivElement>, "className">, "ref"> & React.RefAttributes<HTMLDivElement>>;
