import React, { ElementType } from 'react';
export interface BreadcrumbType {
    title: string;
    Component: ElementType;
    componentProps?: any;
}
export interface BreadcrumbItemProps extends BreadcrumbType {
    isLast: boolean;
}
export declare const BreadcrumbItem: ({ isLast, Component, componentProps, title, }: BreadcrumbItemProps) => React.JSX.Element;
