import React from 'react';
type TextCarousel = {
    text: string;
    color: string;
    size?: string;
};
type ButtonCarousel = {
    title?: string;
    link?: string;
    target?: '_blank' | '_self';
};
export type ImageCarousel = {
    src: string;
    alt: string;
    title: TextCarousel;
    subtitle: TextCarousel;
    button?: ButtonCarousel;
};
export interface CarouselProps {
    images: ImageCarousel[];
}
export declare const Carousel: ({ images }: CarouselProps) => React.JSX.Element;
export {};
