import React, { HTMLAttributes } from 'react';
export interface CheckboxProps extends HTMLAttributes<HTMLInputElement> {
    indeterminate?: boolean;
}
export interface CheckboxRef extends HTMLAttributes<HTMLInputElement> {
    setIndeterminate: (value: boolean) => void;
}
export declare const Checkbox: React.ForwardRefExoticComponent<CheckboxProps & React.HTMLAttributes<HTMLInputElement> & React.RefAttributes<CheckboxRef>>;
