import { Granularity } from '@react-types/datepicker';
import React from 'react';
import { InputProps } from '../Input';
export interface DatePickerInputProps extends Omit<InputProps, 'value' | 'onChange'> {
    value?: Date;
    onChange: (date?: Date) => void;
    hourCycle?: 12 | 24;
    granularity?: Granularity;
}
export declare const DatePickerInput: (props: DatePickerInputProps) => React.JSX.Element;
