import { Granularity } from '@react-types/datepicker';
import React from 'react';
import { DateRange } from '../Calendar/RangeCalendar';
import { InputProps } from '../Input';
export interface DateRangePickerInputProps extends Omit<InputProps, 'value' | 'onChange'> {
    value?: DateRange;
    onChange: (date?: DateRange) => void;
    hourCycle?: 12 | 24;
    granularity?: Granularity;
}
export declare const DateRangePickerInput: (props: DateRangePickerInputProps) => React.JSX.Element;
