export declare const Menubar: {
    Root: ({ children }: import("./types").RootProps) => import("react").JSX.Element;
    Header: ({ children, className, ...rest }: import("./types").HeaderProps) => import("react").JSX.Element;
    HeaderLeft: ({ children, ...rest }: import("./types").DefaultProps) => import("react").JSX.Element;
    Search: (props: import("..").InputSearchProps) => import("react").JSX.Element;
    HeaderRight: ({ children, ...rest }: import("./types").DefaultProps) => import("react").JSX.Element;
    Dropdown: ({ children, ...rest }: import("./types").DefaultProps) => import("react").JSX.Element;
    MostUsed: ({ label, children, ...rest }: import("./types").MostUsedProps) => import("react").JSX.Element;
    MostUsedItem: ({ title, category, anchorProps, ...rest }: import("./types").MostUsedItemProps) => import("react").JSX.Element;
    Category: <T>({ title, options, render }: import("./types").CategoryType<T>) => import("react").JSX.Element;
    Categories: ({ children }: import("./types").DefaultProps) => import("react").JSX.Element;
    Item: <T>({ children, subItems, renderSubItems, className, anchorProps, title, parentCategoryTitle, ...rest }: import("./types").ItemProps<T>) => import("react").JSX.Element;
    SubItem: ({ children, anchorProps, className, ...rest }: import("./types").SubItemProps) => import("react").JSX.Element;
    DropdownRoot: ({ mostUsed, options, labelMostUsed, }: import("./types").DropdownRootProps) => import("react").JSX.Element;
};
export * from './types';
