import { type FloatingFocusManagerProps } from '@floating-ui/react';
import React from 'react';
export interface PopoverContentProps extends Omit<FloatingFocusManagerProps, 'children' | 'context'> {
    children: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export declare const PopoverContent: ({ children, className, modal, style, ...rest }: PopoverContentProps) => React.JSX.Element;
