import React from 'react';
export interface StepNodeProps extends Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, 'type'> {
    marked?: boolean;
    intent?: 'success' | 'warning' | 'error';
    isFirst?: boolean;
    isLast?: boolean;
    segmented?: boolean;
    selected?: boolean;
    interactive?: boolean;
    children?: React.ReactNode;
}
export declare const Node: ({ marked, intent, isFirst, isLast, segmented, selected, interactive, children, className, ...rest }: StepNodeProps) => React.JSX.Element;
