import { Placement } from '@floating-ui/react';
import React from 'react';
import { type Delay } from '../hooks';
interface TooltipProps {
    children: React.ReactElement;
    text: string;
    trigger?: 'hover' | 'click';
    placement?: Placement;
    width?: number;
    height?: number;
    delay?: Delay;
    style?: React.CSSProperties;
}
export declare const Tooltip: React.ForwardRefExoticComponent<TooltipProps & React.RefAttributes<HTMLDivElement>>;
export {};
