import currency from 'currency.js';
import { MaskValue } from '../components';
export type CurrencyOptions = currency.Options;
export declare const getInternalNumberAndMask: (value: string | number, options?: CurrencyOptions) => {
    internalNumber: number;
    mergedOptions: CurrencyOptions;
};
export declare const applyNumberMask: (value?: string | number, options?: CurrencyOptions) => {
    raw: number;
    formatted: string;
};
export declare const useNumberMask: (options?: CurrencyOptions, defaultValue?: string | number) => [MaskValue, (value: string | number) => void];
