import { MaskType, MaskValue } from '../components';
export declare const mergeMask: (value: string | undefined, mask: MaskType[]) => MaskValue;
export declare const getMask: (mask: MaskType[] | ((value: string) => MaskType[]), newValue: string) => MaskType[];
export declare const applyStringMask: (value: string, mask: MaskType[] | ((value: string) => MaskType[])) => MaskValue;
export declare const useStringMask: (mask: MaskType[] | ((value: string) => MaskType[]), defaultValue?: string | number) => [MaskValue, (text: string | number) => void];
