import React from 'react';
import { ExternalToast } from 'sonner';
import { ISnackbar, TypeSnack } from './ISnackbar';
import { IExternalToast } from './IExternalToast';
export declare class SnackbarSonner implements ISnackbar<IExternalToast> {
    _options?: IExternalToast;
    constructor(options?: IExternalToast);
    custom(Component: React.ReactElement, options?: ExternalToast): string | number;
    show(type: TypeSnack, message: string, options?: Omit<IExternalToast, 'className' | 'style'>): string | number;
}
